Bug 17402 - Enhance the actions button on serials-search.pl
Summary: Enhance the actions button on serials-search.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-05 10:46 UTC by Josef Moravec
Modified: 2017-06-14 22:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17402 Enhance the actions button on serials-search.pl (3.57 KB, patch)
2016-10-05 10:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17402 Enhance the actions button on serials-search.pl (3.62 KB, patch)
2016-10-11 10:25 UTC, Jesse Maseto
Details | Diff | Splinter Review
[PASSED QA] Bug 17402 Enhance the actions button on serials-search.pl (3.69 KB, patch)
2016-10-24 12:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-10-05 10:46:39 UTC
Enhance the button similar way as in reports see bug 17341

Default value should be receive serial if applicable.
Comment 1 Josef Moravec 2016-10-05 10:52:52 UTC
Created attachment 56051 [details] [review]
Bug 17402 Enhance the actions button on serials-search.pl

Test plan:
1) Apply the patch
2) Go to serials home page
3) Search for a subscription
4) Ensure you have permission to receive serials
5) In the most right column of table you should see "Receive serial" button with
   caret button, that should work as trigger form dropdown menu with other options
6) Ensure that all actions work as expected
7) Login with user without permission to receive serials
8) repeat 2-3
9) In the most right column of table you should see normal dropdown mane with label "Actions" and all applicable options
10) Ensure that all actions work as expected
Comment 2 Jesse Maseto 2016-10-11 10:25:57 UTC
Created attachment 56165 [details] [review]
Bug 17402 Enhance the actions button on serials-search.pl

Test plan:
1) Apply the patch
2) Go to serials home page
3) Search for a subscription
4) Ensure you have permission to receive serials
5) In the most right column of table you should see "Receive serial" button with
   caret button, that should work as trigger form dropdown menu with other options
6) Ensure that all actions work as expected
7) Login with user without permission to receive serials
8) repeat 2-3
9) In the most right column of table you should see normal dropdown mane with label "Actions" and all applicable options
10) Ensure that all actions work as expected

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Katrin Fischer 2016-10-24 12:31:52 UTC
Created attachment 56761 [details] [review]
[PASSED QA] Bug 17402 Enhance the actions button on serials-search.pl

Test plan:
1) Apply the patch
2) Go to serials home page
3) Search for a subscription
4) Ensure you have permission to receive serials
5) In the most right column of table you should see "Receive serial" button with
   caret button, that should work as trigger form dropdown menu with other options
6) Ensure that all actions work as expected
7) Login with user without permission to receive serials
8) repeat 2-3
9) In the most right column of table you should see normal dropdown mane with label "Actions" and all applicable options
10) Ensure that all actions work as expected

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-10-28 17:11:40 UTC
Pushed to master for 16.11, thanks Josef!